# Apache License, Version 2.0

使用、複製、および頒布に関する条項 <br>

## 1. 定義 
「ライセンス」とは、このドキュメントの第1項から第9項までで定義している、使用、複製、および頒布に関する条項を指します。 <br>

「ライセンサー」とは、著作権所有者、あるいは著作権所有者がライセンス付与対象として認めた者を指します。 <br>

「法人」とは、行為者と、行為者を管理するか行為者により管理されるか行為者共通の管理下にある他のすべての者とから成る連合体を指します。この定義における「管理」とは、(i) 契約またはその他により、直接または間接的にこの法人の指揮・経営を行う権限、または (ii) この法人の50%以上の株式の所有権または (iii) 受益所有権を有することを指します。 <br>

「あなた」とは、本ライセンスにより付与される権利を行使する個人または法人を指します。 <br>

「ソース」形式とは、ソフトウェアのソースコード、ドキュメントソース、設定ファイルといった、変更を加えるのに好都合な形式を指します。 <br>

「オブジェクト」形式とは、コンパイルされたオブジェクトコード、生成されたドキュメント、他のメディアへの変換物といった、ソース形式の機械的な変換により生じる形式を指します。 <br>

「成果物」とは、ソース形式であるとオブジェクト形式であるとを問わず、製作物に挿入または添付される（後出の付録に例がある）著作権表示で示された著作物で、本ライセンスに基づいて利用が許されるものを指します。 <br>

「派生成果物」とは、編集上の改訂、注解、推敲など、成果物を基にしていて全体としてオリジナル著作物と呼べるような製作物全般を指します。本ライセンスでは、成果物や派生成果物から分離できる製作物や、成果物や派生成果物のインタフェースへの単なるリンク（または名前によるバインド）を、派生成果物に含めません。 <br>

「コントリビューション」とは、成果物のオリジナルバージョンならびに成果物または派生成果物への変更や追加も含めて、著作権所有者あるいは著作権所有者が認めた個人または法人による成果物への組み込みを意図してライセンサーに提出される著作物全般を指します。この定義における「提出」とは、成果物を論じたり改良するためにライセンサーまたはその代理者により管理される電子的メーリングリスト、ソースコード管理システム、問題追跡システムといった、電子的方法、口頭、または書面で、ライセンサーまたはその代理者に情報を送ることを指します。ただし、著作権所有者が書面で「コントリビューションでない」と明示したものは除きます。 <br>

「コントリビューター」とは、ライセンサーおよびその代理を務める個人または法人で、自分のコントリビューションがライセンサーに受領されて成果物に組み込まれた者を指します。 <br>
## 2. 著作権ライセンスの付与 
本ライセンスの条項に従って、各コントリビューターはあなたに対し、ソース形式であれオブジェクト形式であれ、成果物および派生成果物を複製したり、派生成果物を作成したり、公に表示したり、公に実行したり、サブライセンスしたり、頒布したりする、無期限で世界規模で非独占的で使用料無料で取り消し不能な著作権ライセンスを付与します。 <br>
## 3. 特許ライセンスの付与 
本ライセンスの条項に従って、各コントリビューターはあなたに対し、成果物を作成したり、使用したり、販売したり、販売用に提供したり、インポートしたり、その他の方法で移転したりする、無期限で世界規模で非独占的で使用料無料で取り消し不能な（この項で明記したものは除く）特許ライセンスを付与します。ただし、このようなライセンスは、コントリビューターによってライセンス可能な特許申請のうち、当該コントリビューターのコントリビューションを単独または該当する成果物と組み合わせて用いることで必然的に侵害されるものにのみ適用されます。あなたが誰かに対し、交差請求や反訴を含めて、成果物あるいは成果物に組み込まれたコントリビューションが直接または間接的な特許侵害に当たるとして特許訴訟を起こした場合、本ライセンスに基づいてあなたに付与された特許ライセンスは、そうした訴訟が正式に起こされた時点で終了するものとします。 <br>
## 4. 再頒布 
あなたは、ソース形式であれオブジェクト形式であれ、変更の有無に関わらず、以下の条件をすべて満たす限りにおいて、成果物またはその派生成果物のコピーを複製したり頒布したりすることができます。 
1.	成果物または派生成果物の他の受領者に本ライセンスのコピーも渡すこと。 
2.	変更を加えたファイルについては、あなたが変更したということがよくわかるような告知を入れること。 
3.	ソース形式の派生成果物を頒布する場合は、ソース形式の成果物に含まれている著作権、特許、商標、および帰属についての告知を、派生成果物のどこにも関係しないものは除いて、すべて派生成果物に入れること。 
4.	成果物の一部として「NOTICE」に相当するテキストファイルが含まれている場合は、そうしたNOTICEファイルに含まれている帰属告知のコピーを、派生成果物のどこにも関係しないものは除いて、頒布する派生成果物に入れること。その際、次のうちの少なくとも1箇所に挿入すること。(i) 派生成果物の一部として頒布するNOTICEテキストファイル、(ii) ソース形式またはドキュメント（派生成果物と共にドキュメントを頒布する場合）、(iii) 派生成果物によって生成される表示（こうした第三者告知を盛り込むことが標準的なやり方になっている場合）。NOTICEファイルの内容はあくまで情報伝達用であって、本ライセンスを修正するものであってはなりません。あなたは頒布する派生成果物に自分の帰属告知を（成果物からのNOTICEテキストに並べて、またはその付録として）追加できますが、これはそうした追加の帰属告知が本ライセンスの修正と解釈されるおそれがない場合に限られます。<br>

あなたは自分の修正物に自らの著作権表示を追加することができ、自分の修正物の使用、複製、または頒布について、あるいはそうした派生成果物の全体について、付加的なライセンス条項または異なるライセンス条項を設けることができます。ただし、これは成果物についてのあなたの使用、複製、および頒布が、それ以外の点で本ライセンスの条項に従っている場合に限られます。 <br>
## 5. コントリビューションの提出 
特に断りがない限り、あなたが成果物への組み込みを意図してライセンサーに提出したコントリビューションは、付加的な条項がなければ、本ライセンスの条項に従うものとします。上述の規定にかかわらず、そうしたコントリビューションに関してあなたがライセンサーと結んだかもしれない別のライセンス契約の条項を、ここで無効にしたり修正したりすることはありません。 <br>
## 6. 商標 
本ライセンスでは、成果物の出所を記述したりNOTICEファイルの内容を複製するときに必要になる妥当で慣習的な使い方は別として、ライセンサーの商号、商標、サービスマーク、または製品名の使用権を付与しません。 <br>
## 7. 保証の否認 
適用される法律または書面での同意によって命じられない限り、ライセンサーは成果物を（そしてコントリビューターは各自のコントリビューションを）「現状のまま」提供するものとし、明示黙示を問わず、タイトル、非侵害性、商業的な使用可能性、および特定の目的に対する適合性を含め、いかなる保証も条件も提供しません。あなたは成果物の使用や再頒布の適切性を自分で判断する責任を持つと共に、本ライセンスにより付与される権利を行使することに伴うすべてのリスクを負うことになります。 <br>
## 8. 責任の制限 
いかなる条件および法理論においても、不法行為（過失を含む）、契約、またはその他いかなる場合でも、適用される法律または書面での同意によって命じられない限り、コントリビューターは本ライセンスまたは成果物の使い方に関連して生じる直接損害、間接損害、偶発的な損害、特別損害、懲罰的損害、または結果損害を含め、営業権の損失、業務の停止、コンピューター障害または誤作動、その他の商業上の損害や損失など、いかなる損害に対しても、たとえそうした損害の可能性をたとえ知らされていたとしても、あなたに責任を負わないものとします。 <br>
## 9. 保証または追加的責任の引き受け 
成果物またはその派生成果物を再頒布する際、あなたはサポート、保証、損害補償、またはその他の責任や、本ライセンスに矛盾しない権利を提示し、これを有料にすることができます。ただし、そうした責任を引き受ける場合、あなたはそれを自分自身のためにだけ自己責任として行えるのであって、他のコントリビューターのために行うことはできません。また、あなたはそうした保証や追加的責任のせいで他のコントリビューターに責任が降りかかったり賠償要求が出されたとしても、それらのコントリビューターに損害が及ぶのを防ぐと共に各コントリビューターの損害を補償することに同意しなければなりません。 <br>

使用、複製、および頒布に関する条項の終わり 
